Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.threeD.raytracer.network
Class RayTracingJobOutput

    java.lang.Object
      JobOutput
          net.sf.j3d.threeD.raytracer.network.RayTracingJobOutput

All Implemented Interfaces:
  Externalizable, Serializable

    public class RayTracingJobOutput

extends JobOutput
implements Externalizable

A RayTracingJobOutput object stores

Author:
  Mike Murray

Constructor Summary
`RayTracingJobOutput()` Constructs a new RayTracingJobOutput object.
`RayTracingJobOutput(String user, String passwd, String data)` Constructs a new RayTracingJobOutput object using the specified username and password.

Method Summary
`boolean` | `addRGB(RGB rgb)` Adds the specified RGB object to the list of color data stored by this RayTracingJobOutput object.
`int` | `getDx()`
`int` | `getDy()`
`String` | `getOutput()`
`long` | `getTaskId()`
`int` | `getX()`
`int` | `getY()`
`Iterator` | `iterator()`
`void` | `readExternal(ObjectInput in)`
`void` | `setOutput(String data)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RayTracingJobOutput

    public RayTracingJobOutput()

  Constructs a new RayTracingJobOutput object.

### RayTracingJobOutput

    public RayTracingJobOutput(String user,
                               String passwd,
                               String data)

  Constructs a new RayTracingJobOutput object using the specified username and password.

  Parameters:
    `user` - Username to use.
    `passwd` - Password to use.
    `data` - A string of the form "jobId:x:y:dx:dy".

Method Detail

### getDx

    public int getDx()

  Returns:
    Returns the dx.

### getDy

    public int getDy()

  Returns:
    Returns the dy.

### getTaskId

    public long getTaskId()

  Returns:
    Returns the taskId.

### getX

    public int getX()

  Returns:
    Returns the x.

### getY

    public int getY()

  Returns:
    Returns the y.

### setOutput

    public void setOutput(String data)

### getOutput

    public String getOutput()

### addRGB

    public boolean addRGB(RGB rgb)

  Adds the specified RGB object to the list of color data stored by this RayTracingJobOutput object.

  Parameters:
    `rgb` - RGB object to add.
  Returns:
    True if the object was added, false otherwise.

### iterator

    public Iterator iterator()

  Returns:
    An Iterator object for the RGB objects stored by this RayTracingJobOutput object.

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`
  See Also:
    `Externalizable.writeExternal(java.io.ObjectOutput)`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`
  See Also:
    `Externalizable.readExternal(java.io.ObjectInput)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD